// $Id$
//
// Copyright (C) 2010
//     Stefan Bund <info@j32.de>

/** \file
    \brief PythonPublisher public header */

#ifndef HH_PyKit_PythonPublisher_
#define HH_PyKit_PythonPublisher_ 1

// Custom includes
#include <boost/python.hpp>
#include "Publisher.hh"

//#include "PythonPublisher.mpp"
///////////////////////////////hh.p////////////////////////////////////////

namespace pykit {

    class PythonPublisher
        : public Publisher
    {
    public:
        PythonPublisher(std::string initPy);

        void publish(Request & request);

    private:
        boost::python::dict mainNamespace_;
        Publisher * pythonPublisher_;
    };

#   define PYTHON_PREPARE_IMPORT(module) \
        PyImport_AppendInittab(const_cast<char*>(#module), init ## module)

}

///////////////////////////////hh.e////////////////////////////////////////
//#include "PythonPublisher.cci"
//#include "PythonPublisher.ct"
//#include "PythonPublisher.cti"
#endif


// Local Variables:
// mode: c++
// fill-column: 100
// comment-column: 40
// c-file-style: "j32"
// indent-tabs-mode: nil
// ispell-local-dictionary: "american"
// compile-command: "scons -U"
// End:
